﻿using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
//using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGanttView_Task_BackColor
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            #region UltraGanttView 初期設定
            // Unassigned Project 以外の新しい Project を作成します。
            Project quarterlyProject = this.ultraCalendarInfo1.Projects.Add("QuartlerlyProject", DateTime.Today);
            quarterlyProject.Key = "projkey1";
            // サマリーまたは親タスクを作成します。
            Task requirementsTask = this.ultraCalendarInfo1.Tasks.Add(DateTime.Today, TimeSpan.FromDays(5), "Requirements", "projkey1");
            // 子タスクを作成します
            Task budgetTask = requirementsTask.Tasks.Add(DateTime.Today, TimeSpan.FromDays(2), "Budget Analysis");
            // 期限を設定します。
            budgetTask.Deadline = DateTime.Today.AddDays(3);


            //このタスクにリソースを割り当てします。
            Owner budgetOwner = this.ultraCalendarInfo1.Owners.Add("BudgetOwner", "Bill Isacky");
            budgetTask.Resources.Add(budgetOwner);
            // 別の子タスクを作成します。
            Task teamTask = requirementsTask.Tasks.Add(DateTime.Today.AddDays(3), TimeSpan.FromDays(2), "Team Allocation");
            // この Task に Constraint (制約)を設定します。
            teamTask.ConstraintDateTime = DateTime.Today.AddDays(4);
            teamTask.Constraint = TaskConstraint.FinishNoLaterThan;

            this.ultraGanttView1.CalendarInfo = this.ultraCalendarInfo1;

            // Unassigned Project の代わりにこの Project を GanttView に表示するのに、この新しい Project を GanttView に指定します。
            this.ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[1];
            this.ultraGanttView1.TimelineSettings.PrimaryInterval.HeaderTextFormat = "dd";
            #endregion

            //タスクのスタイル変更
            //WinGanttView のチャート セクションのカスタマイズ
            //https://jp.infragistics.com/help/winforms/winganttview-customize-chart-section-of-winganttview
            budgetTask.TimelineSettings.BarSettings.BarAppearance.BackColor = Color.Red;
            budgetTask.TimelineSettings.BarSettings.BarAppearance.BackColor2 = Color.Red;

            teamTask.TimelineSettings.BarSettings.BarAppearance.BackColor = Color.Yellow;
            teamTask.TimelineSettings.BarSettings.BarAppearance.BackColor2 = Color.Yellow;
        }
    }
}
